# inet.h File Reference

`#include "net/arch.h"`
`#include "net/opt.h"`
`#include "net/pbuf.h"`
`#include "net/ipv6/ip_addr.h"`

Go to the source code of this file.

## Functions

u32_t | htonl (u32_t n)
u16_t | htons (u16_t n)
u16_t | inet_chksum (void *data, u16_t len)
u16_t | inet_chksum_pbuf (struct pbuf *p)
u16_t | inet_chksum_pseudo (struct pbuf *p, struct ip_addr *src, struct ip_addr *dest, u8_t proto, u32_t proto_len)
u32_t | ntohl (u32_t n)
u16_t | ntohs (u16_t n)

## Function Documentation

u32_t htonl | ( | u32_t | n | ) |

u16_t htons | ( | u16_t | n | ) |

u16_t inet_chksum | ( | void * | data,
|  | u16_t | len |
| ) |  |  |

u16_t inet_chksum_pbuf | ( | struct pbuf * | p | ) |

u16_t inet_chksum_pseudo | ( | struct pbuf * | p,
|  | struct ip_addr * | src,
|  | struct ip_addr * | dest,
|  | u8_t | proto,
|  | u32_t | proto_len |
| ) |  |  |

u32_t ntohl | ( | u32_t | n | ) |

u16_t ntohs | ( | u16_t | n | ) |